/// <reference types="react" />
import { TranslationKey, TranslationSet } from '../../lib/models/translations';
declare type TranslationPlaceholders = Partial<Record<string, string>>;
interface TranslationContextValue {
    localizedText?: TranslationSet;
}
export declare const TranslationContext: import("react").Context<TranslationContextValue>;
export declare function useTranslations(): {
    getTranslation: (translationKey: TranslationKey, placeholders?: TranslationPlaceholders) => string;
};
export {};
